Uploaded image for project: 'Couchbase Server'
  1. Couchbase Server
  2. MB-38837

6.6.0 Non-root install and upgrade

    XMLWordPrintable

Details

    • Epic
    • Status: Closed
    • Major
    • Resolution: Done
    • 6.6.0
    • 6.6.0
    • tools
    • Tools: 6.6.0 Non-root Install and Upgrade

    Description

      Epic to cover the additional work required to fully productise non-root install and upgrade

      Attachments

        Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            Build couchbase-server-6.6.0-7771 contains couchbase-cli commit d35d245 with commit message:
            MB-38837 Add deb support to cb-non-package-installer

            build-team Couchbase Build Team added a comment - Build couchbase-server-6.6.0-7771 contains couchbase-cli commit d35d245 with commit message: MB-38837 Add deb support to cb-non-package-installer

            Build couchbase-server-6.6.0-7771 contains couchbase-cli commit d8e0cee with commit message:
            MB-38837 bumped cb-non-package-installer version

            build-team Couchbase Build Team added a comment - Build couchbase-server-6.6.0-7771 contains couchbase-cli commit d8e0cee with commit message: MB-38837 bumped cb-non-package-installer version

            Tested so far:

            Dependency checks - works fine
            ubuntu18 - 6.6.0 - install - filed MB-40214
            ubuntu18 - 6.0.4 - install - filed MB-40234
            ubuntu18 - 6.0.4 to 6.6.0 - upgrade - worked fine with fixes of MB-40214 and MB-40234
            ubuntu16 - 5.5.5-MP2 - install - no issues
            ubuntu16 - 5.5.5-MP2 to 6.6.0 - upgrade - no issues
            ubuntu16 - 6.5.1 - install - no issues
            ubuntu16 - 6.5.1 to 6.6.0 - upgrade - no issues
            MB-40237 closed as user error
            suse15 - 6.6.0 - install - no issues
            suse15 - 6.5.1-MP1 - install - no issues
            suse15 - 6.5.1-MP1 to 6.6.0 - upgrade - no issues
            deb10 - 6.6.0 - install - filed MB-40279
            deb9 - 6.6.0 - install - no issues

            arunkumar Arunkumar Senthilnathan (Inactive) added a comment - - edited Tested so far: Dependency checks - works fine ubuntu18 - 6.6.0 - install - filed MB-40214 ubuntu18 - 6.0.4 - install - filed MB-40234 ubuntu18 - 6.0.4 to 6.6.0 - upgrade - worked fine with fixes of MB-40214 and MB-40234 ubuntu16 - 5.5.5-MP2 - install - no issues ubuntu16 - 5.5.5-MP2 to 6.6.0 - upgrade - no issues ubuntu16 - 6.5.1 - install - no issues ubuntu16 - 6.5.1 to 6.6.0 - upgrade - no issues MB-40237 closed as user error suse15 - 6.6.0 - install - no issues suse15 - 6.5.1-MP1 - install - no issues suse15 - 6.5.1-MP1 to 6.6.0 - upgrade - no issues deb10 - 6.6.0 - install - filed MB-40279 deb9 - 6.6.0 - install - no issues

            Build couchbase-server-7.0.0-2503 contains couchbase-cli commit d35d245 with commit message:
            MB-38837 Add deb support to cb-non-package-installer

            build-team Couchbase Build Team added a comment - Build couchbase-server-7.0.0-2503 contains couchbase-cli commit d35d245 with commit message: MB-38837 Add deb support to cb-non-package-installer

            Build couchbase-server-7.0.0-2503 contains couchbase-cli commit d8e0cee with commit message:
            MB-38837 bumped cb-non-package-installer version

            build-team Couchbase Build Team added a comment - Build couchbase-server-7.0.0-2503 contains couchbase-cli commit d8e0cee with commit message: MB-38837 bumped cb-non-package-installer version

            People

              owend Daniel Owen
              owend Daniel Owen
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Gerrit Reviews

                  There are no open Gerrit changes

                  PagerDuty